--- title: "setNatGatewayDescription" slug: "networking-vpc-natgateway-setnatgatewaydescription" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-natgateway-setnatgatewaydescription" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # setNatGatewayDescription Available in VPC Edit the NAT Gateway instance description by specifying the NAT Gateway instance number. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/setNatGatewayDescription | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all VPC APIs, see [VPC common headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the NAT Gateway instance whose description you want to edit - First Region of the query result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `natGatewayInstanceNo` | String | Required | Number of NAT Gateway instance whose description you want to edit - See [getNatGatewayInstanceList](/docs/en/networking-vpc-natgateway-getnatgatewayinstancelist). | | `natGatewayDescription` | String | Optional | Description of NAT Gateway you want to edit (byte) - 0-1000 | | `output` | String | Optional | Format of the response result - `xml` \| `json` (default) | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/setNatGatewayDescription ?regionCode=KR &natGatewayInstanceNo=***38 &natGatewayDescription=test-description' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [NatGatewayInstanceList](/docs/en/common-vapidatatype-natgatewayinstancelist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 664d591b-3089-4df8-b962-ef00a5171165 0 success 1 ***36 normal-*** *****9288 public-*** ***.***.153.178 RUN RUN status Running NULL NULL OP 2025-04-25T14:19:32+0900 test-description KR-1 PBLIP Public public-*** ***29 10.0.1.6 ****290 PRIMARY 10.0.1.6 ***.***.153.178 ****290 SECONDARY 10.0.1.7 ***.***.109.24 ****805 ```